Bug 731944 - CVE-2011-2896 pl: David Koblas' GIF decoder LZW decoder buffer overflow [fedora-all]
CVE-2011-2896 pl: David Koblas' GIF decoder LZW decoder buffer overflow [fedo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pl (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-2896
  Show dependency treegraph
 
Reported: 2011-08-19 04:08 EDT by Tomas Hoger
Modified: 2011-09-12 09:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 09:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2011-08-19 04:08:13 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=727800

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Petr Pisar 2011-08-22 10:23:58 EDT
Fixed in rawhide (F17) as pl-5.10.2-4.fc17.
Comment 2 Tomas Hoger 2011-08-24 02:29:06 EDT
Have you managed to figure out bug #727800, comment #17?
Comment 3 Petr Pisar 2011-08-24 02:46:22 EDT
Not yet.
Comment 4 Petr Pisar 2011-08-24 05:23:10 EDT
(In reply to comment #2)
> Have you managed to figure out bug #727800, comment #17?

Forwarded to upstream <http://www.swi-prolog.org/bugzilla/show_bug.cgi?id=9>. I will fill new bug for pl in Fedora.
Comment 5 Petr Pisar 2011-09-08 13:58:51 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > Have you managed to figure out bug #727800, comment #17?
> 
> Forwarded to upstream <http://www.swi-prolog.org/bugzilla/show_bug.cgi?id=9>. I
> will fill new bug for pl in Fedora.

Filed under Fedora bug #732952.
Comment 6 Petr Pisar 2011-09-08 14:01:03 EDT
Fixed in:

pl-5.10.5-2.fc17
pl-5.10.2-5.fc16 (in testing)
pl-5.10.2-5.fc15
pl-5.7.11-7.fc14
Comment 7 Petr Pisar 2011-09-12 09:25:26 EDT
pl-5.10.2-5.fc16 is stable now.

Note You need to log in before you can comment on or make changes to this bug.